<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a> /
          Products
      </mat-chip>
  </mat-chip-list>
</div>

<button mat-fab (click)="sidenav2.toggle() && resetform()" class="float-button">
  <mat-icon matTooltip="Add Product">add</mat-icon>
</button>

<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>PRODUCTS</span>
      <div style="flex-grow:1;"></div>
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">DELETE</button> 
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="product_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="category_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header>Category Id. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{element.category_id}}  </mat-cell>
      </ng-container>


      <ng-container matColumnDef="category_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Category Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.category_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="product_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Product Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.product_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="actions">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Actions </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <button mat-icon-button>
            <mat-icon matTooltip="Edit" (click)="sidenav2.toggle()" (click)="edit(element.category_id, element.type)">edit
            </mat-icon>
          </button>

          
        </mat-cell>
      </ng-container>

   
      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef>
          <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
          [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
              >
          </mat-checkbox>
        </mat-header-cell>
        <mat-cell *matCellDef="let row">  
          <mat-checkbox  (change)="sendIDS($event.checked,row.category_id,posts.length)"
                        [checked]="sel">
          </mat-checkbox>
        </mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="['product_id','category_id', 'category_name','product_name', 'actions','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['product_id','category_id', 'category_name','product_name', 'actions','action']"></mat-row>

    </mat-table>

        <mat-paginator [length]="100" [pageSize]="50" [pageSizeOptions]="[50, 100,500, 1000]">

    </mat-paginator>
  </div>
</div>


<mat-sidenav-container>

  <mat-sidenav #sidenav2 mode="over" opened="false" position="end">
    <mat-toolbar>
      <button mat-icon-button (click)="sidenav2.toggle() && resetform()">
        <mat-icon class="icon" matTooltip="Close">close</mat-icon>
      </button>
      <span style="margin-left: 15px;">ADD PRODUCT</span>
    </mat-toolbar>

    <div style="padding: 0 24px 24px 24px; margin-top: 10px;">
      <form [formGroup]="productForm">

        <mat-form-field> 
          <input matInput placeholder="Product Name" formControlName="product_name">
          <mat-error *ngIf="productForm.controls['product_name'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-select placeholder="Category" [formControl]="productForm.controls['category_id']">
            <mat-option *ngFor="let category of posts2"  [value]="category.category_id">{{category.category_name}}</mat-option>
          </mat-select>
          <mat-error *ngIf="productForm.controls['category_id'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>


        <div style="margin-top: 15px;">
          <a mat-raised-button (click)="resetform()" mat-raised-button color="accent" style="margin-left: 5px;">Reset</a>
          <button mat-raised-button color="accent" style="margin-left: 5px;" (click)="sidenav2.toggle() && submit()" [disabled]="!productForm.valid || Hidden">Submit</button>
        </div>
      </form>
    </div>

  </mat-sidenav>
</mat-sidenav-container>